@import url("./fonts_remote.css");

:root {
	--c-brand: #ee0000;
	--c-brand-80: #d10000;
	--c-brand-90: #b60000;
	--c-white: #ffffff;
	--c-grey-00: #fafafa;
	--c-grey-10: #f5f5f5;
	--c-grey-40: #bebebe;
	--c-grey-100: #292929;
	--c-black: #000000;
	--c-green: #009864;
}

/* ! Reset */

*, *::before, *::after { box-sizing: border-box; }

* { margin: 0; }

@media (prefers-reduced-motion: no-preference) {
	html {
		interpolate-size: allow-keywords;
	}
}

body {
	line-height: 1.5;
	-webkit-font-smoothing: antialiased;
}


/* ! Colors */

html, body {
	color: var(--c-grey-100);
	background: var(--c-white);
}

/* ! Typography */

html, body {
	font-family: "SparkasseWeb", serif;
	font-size: 18px;
	font-weight: 300;
	line-height: 1.4;
	text-underline-offset: 0.15em;
}

strong { font-weight: 600; }

h1, h2, h3 { font-weight: 700; }
h1 { font-size: 2.5rem; line-height: 1.2; letter-spacing: -0.025em; margin-bottom: 2rem; max-width: 18em; }
h2 { font-size: 2.0rem; line-height: 1.2; letter-spacing: -0.02em; margin-bottom: 1rem; max-width: 18em; }
h3 { font-size: 1.75rem; line-height: 1.2; letter-spacing: -0.02em; margin-bottom: 1rem; }
h4 { font-weight: 300; font-size: 1.33rem; line-height: 1.2; margin-bottom: 0.5rem; }

p { margin-bottom: 1em; }

.kicker { font-weight: 300; color: var(--c-brand); margin-bottom: 1em; }

.fs-large { font-size: 1.33rem; }

@media screen and (max-width: 1024px)
{
	html, body { font-size: 16px; }
}

@media screen and (max-width: 600px)
{
	html, body { font-size: 17px; }
	h1 { font-size: 1.75rem; }
	h2 { font-size: 1.75rem; }
	h3 { font-size: 1.33rem; }
	h4 { font-size: 1.25rem; }
	.fs-large { font-size: 1.2rem; }
}

@media screen and (max-width: 380px)
{
	html, body { font-size: 15px; }
}

/* ! Links */

html { scroll-behavior: smooth; }


a { color: inherit; text-decoration: none; }

a.button {
	position: relative;
	display: inline-block;
	padding: 1em 3em;
	text-align: center;
	font-weight: 400;
	color: var(--c-white);
	background-color: var(--c-brand);
	border: 1px solid var(--c-brand);
	border-radius: 4em;
	transition: all 0.2s ease;
}

a.button:hover { background-color: var(--c-brand-80); }
a.button:active { background-color: var(--c-brand-90);}

a.button.secondary {
	color: var(--c-grey-100);
	background-color: transparent;
	border: 1px solid var(--c-grey-100);
}
a.button.secondary:hover { background-color: rgba(0, 0, 0, 0.05); }
a.button.secondary:active { background-color: rgba(0, 0, 0, 0.1); }

a.button.contact {
	display: flex;
	align-items: center;
	justify-content: center;
}

a.button.contact:before {
	content: "";
	display: inline-block;
	width: 1.4em;
	height: 1.6em;
	margin-right: 0.4em;
	background-image: url(../assets/icon_mail.svg);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: contain;
}

a.button.contact.phone:before {
	background-image: url(../assets/icon_phone.svg);
}


a.details {
	display: inline-block;
	position: relative;
	height: 1.5rem;
	padding-left: 1.75em;
	font-weight: 400;
	color: var(--c-grey-40);
	cursor: pointer;
}

a.details:hover { text-decoration: underline; }

a.details:before {
	content: "";
	display: block;
	position: absolute;
	left: 0;
	top: 0;
	width: 1.25rem;
	height: 1.25rem;
	background: url(../assets/icon_info.svg) no-repeat center center;
	background-size: contain;
}



/* ! Layout */

.centered { text-align: center; }

.columns-2 { columns: 2; column-gap: 40px; }

hr {
	width: calc(100% - 4rem);
	max-width: 72rem;
	height: 1px;
	margin-inline: auto;
	border: none;
	background: var(--c-grey-40);
}

.top-bar {
	display: flex;
	align-items: center;
	width: 100vw;
	height: 3rem;
	color: var(--c-white);
	background: var(--c-brand);
}

.top-bar .content {
	width: calc(100% - 4rem);
	max-width: 72rem;
	margin-inline: auto;
	text-align: right;
	font-size: 0.9rem;
}

.top-bar .content a:hover { text-decoration: underline; }


section {
	position: relative;
	padding: 4rem 0 5rem;
}

section > .content {
	width: calc(100% - 4rem);
	max-width: 72rem;
	margin-inline: auto;
}

section > .content .col6 {
	max-width: 54rem;
	margin-inline: auto;
}

section > .content h3 { margin-bottom: 4rem; }

@media screen and (max-width: 600px)
{
	.columns-2 { columns: unset; }

	section > .content, hr { width: calc(100% - 2rem); }
}



/* ! Hero */

#hero {
	height: 70vh;
	min-height: 24rem;
	max-height: 66vw;
	background: var(--c-grey-40);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: 25% 75%;
}

.hero-text {
	position: absolute;
	left: 8%;
	bottom: 15%;
	width: 60%;
	min-width: 30em;
}

.hero-text h1 {
	color: var(--c-white);
	text-shadow: 0 0.1em 0.15em rgba(0, 0, 0, 0.4);
}

@media screen and (max-width: 600px)
{
	.hero-text { left: 1rem; width: calc(100% - 2rem); min-width: 0; }
}



/* ! Benefits */

#benefits { background: var(--c-grey-10); }

.benefit {
	position: relative;
	display: inline-block;
	padding-left: 3rem;
	padding-top: 0.25rem;
	margin-bottom: 2rem;
}

.benefit:before {
	content: "";
	position: absolute;
	display: block;
	left: 0;
	top: 0;
	width: 2rem;
	height: 2rem;
	background: url(../assets/icon_check.svg) no-repeat center center;
	background-size: contain;
	
	/*
	border: 1px solid var(--c-green);
	border-radius: 2rem;
	*/
}



/* !Cards */

.cards {
	display: grid;
	font-size: 0.9rem;
	grid-template-rows: 7em 1fr 7em;
	grid-template-columns: repeat(4, 1fr);
	column-gap: 1.5rem;
}

.card {
	position: relative;
	grid-row: span 3;
	padding: 1.5em 1em 7em;
	color: var(--c-white);
	background: var(--c-grey-100);
	border-radius: 0.66rem;
}

.card h4 {
	font-size: 1.3em;
	font-weight: 700;
	max-width: 12em;
	height: 7em;
}

.card p { hyphens: auto; }

.card .links { position: absolute; left: 1rem; bottom: 1.5rem; width: calc(100% - 2rem); }
.card a.details { margin-bottom: 1rem; }
.card a.button { width: 100%; font-size: 0.95em; padding: 0.75em 0.5em; }

.pricetag {
	position: absolute;
	right: 0.4em;
	top: 2.2em;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 2.3em;
	height: 2.3em;
	border-radius: 3em;
	font-size: 2.4em;
	font-weight: 700;
	font-variant-numeric: normal;
	letter-spacing: -0.03em;
	color: var(--c-grey-100);
	background: var(--c-grey-10);
}

.pricetag div { vertical-align: bottom; }

.pricetag span { font-size: 0.6em; }


@media screen and (max-width: 1280px)
{
	.cards { font-size: 0.85rem; }
	
	.card h4 { font-size: 1.25em; }
	
	.pricetag { top: 2.5em; font-size: 2em; }
}

@media screen and (max-width: 1024px)
{
	.cards {
		grid-template-rows: 7em 1fr 7em 7em 1fr 7em;
		grid-template-columns: repeat(2, 1fr);
		row-gap: 1.5rem;
		font-size: 0.9rem;
	}
	
	.card h4 { width: calc(100% - 4em); max-width: none; height: 4em; }
	
	.pricetag { top: 0.5em; }
}


@media screen and (max-width: 640px)
{
	.cards { display: block; font-size: 1rem; }
	
	.card { margin-bottom: 1rem; padding-bottom: 8rem; }

	.card h4 { width: calc(100% - 4em); max-width: none; height: 4em; font-size: 1.25em; }
	
	.card a.details { margin-bottom: 1.5rem; }
	
	.card a.button { font-size: 1em; }
}



/* ! Kontakt */

#kontakt .content {
	display: flex;
}

#kontakt .content .text {
	flex: 0 0 auto;
	width: 35%;
	margin-right: 100px;
}

#kontakt h3 { margin-bottom: 1rem; }

#kontakt .kontakt-buttons {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	gap: 1rem;
	margin-top: 3rem;
	margin-bottom: 2rem;
}

#kontakt a.button {
	flex: 0 1 auto;
	width: calc(50% - 0.5rem);
	max-width: 16rem;
	min-width: 12rem;
	font-size: 0.9rem;
	padding: 0.5rem 0;
}

#kontakt figure {
	position: relative;
	display: block;
	flex: 0 1 auto;
	width: 100%;
	min-height: 30vw;
	background: var(--c-grey-40) url(../assets/image_contact.jpg) no-repeat center center;
	background-size: cover;
	background-position: 70% 50%;
}

#kontakt figure img { width: 100%; height: 100%; object-fit: cover; }

@media screen and (max-width: 800px)
{
	#kontakt .content { display: block;	}
	#kontakt .content .text { width: 100%; margin-right: 0; margin-bottom: 2rem; }
	#kontakt .kontakt-buttons { gap: 2rem; }
	#kontakt a.button { font-size: 1rem; min-width: 20rem; }
	#kontakt figure { height: 50vw; }
}



/* ! Footer */

footer {
	color: var(--c-white);
	background: var(--c-black);
	border: none;
	border-bottom: 1px solid black;
	padding: 3rem 0;
}

footer .content {
	display: flex;
	flex-wrap: wrap;
	flex-flow: wrap-reverse;
	gap: 1.5rem;
	justify-content: space-between;
	align-items: center;
	width: calc(100% - 4rem);
	max-width: 72rem;
	margin-inline: auto;
}

footer .social a:not(:last-child) { margin-right: 1rem; }
footer .social a img { height: 2rem;}

footer nav ul {
	list-style-type: none;
	display: flex;
	margin: 0;
	padding: 0;
	gap: 0.5rem;
	line-height: 1;
}

footer nav ul li { display: inline-block; }

footer nav ul li:not(:last-child) {
	padding-right: 0.5rem;
	border-right: 1px solid var(--c-white);
}
footer nav ul li a:hover { text-decoration: underline; }

@media screen and (max-width: 640px)
{
	footer .content > * { width: 80%; }
	footer .content {  }
	footer .info span { display: block; }
	footer .info span.separator { display: none; }
}



/* ! Popups */

#popups {
	display: flex;
	visibility: hidden;
	align-items: center;
	justify-content: center;
	position: fixed;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
}

body.show-popup #popups { display: flex; visibility: visible; }

#popups .overlay {
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.8);
	opacity: 0;
	transition: opacity 0.2s ease-out;
	transition-delay: 0;
	cursor: pointer;
}

body.show-popup #popups .overlay { opacity: 1; }
body.show-popup #popups.fadeout .overlay {
	opacity: 0;
	transition: opacity 0.3s ease-in;
	transition-delay: 0.1s;
}

.popup {
	position: relative;
	display: block;
	visibility: hidden;
	width: calc(100% - 4rem);
	max-width: 50rem;
	min-height: 30rem;
	padding: 4rem 2rem;
	background: url(../assets/icon_berater.svg) no-repeat 95% calc(100% + 10px);
	background-size: 13rem auto;
	background-color: var(--c-grey-10);
	border-radius: 0.66rem;
	opacity: 0;
	transform: translateY(15rem);
	transition: opacity 0.45s ease-out, transform 0.4s cubic-bezier(0.05, 0.7, 0.1, 1.0);
	transition-delay: 0;
}

.popup.icon-checklist {
	background-image: url(../assets/icon_checkliste.svg);
	background-size: 11rem auto;
	background-position-y: 95%;
}

.popup.icon-planung {
	background-image: url(../assets/icon_planung.svg);
	background-size: 13rem auto;
	background-position-y: 95%;
}

.popup.active {
	visibility: visible;
	opacity: 1;
	transform: translateY(0);
	transition-delay: 0.15s;
}

#popups.fadeout .popup.active {
	visibility: visible;
	opacity: 0;
	transform: translateY(6rem);
	transition-delay: 0s;
	transition-duration: 0.25s;
	transition-timing-function: cubic-bezier(0.3, 0, 1, 1);
}

body.show-popup #popups .popup:not(.active) { display: none; }

.popup .close {
	position: absolute;
	right: 0;
	top: 0;
	padding: 1rem;
	cursor: pointer;
}

.popup .flex {
	display: flex;
	gap: 2rem;
}

.popup .text {
	flex: 0 1 auto;
	max-width: 30rem;
}

.popup h3 { font-size: 1.5rem; }

.popup .pricetag {
	position: relative;
	flex: 0 0 auto;
	top: auto;
	right: auto;
	width: 3em;
	height: 3em;
	font-size: 2.6rem;
	color: var(--c-white);
	background: var(--c-grey-100);
	transform: rotate(10deg) translateY(2rem);
	transition: transform 0.4s cubic-bezier(0.2, 0.0, 0.0, 1.0);
	transition-delay: 0.15s;
}

.popup.active .pricetag { transform: rotate(10deg) translateY(0); }

.popup a.button { margin-top: 1rem; }

body.show-popup { overflow: hidden; }



@media screen and (max-width: 600px)
{
	.popup {
		width: calc(100% - 2rem);
		max-height: 90vh;
		padding: 3rem 1rem;
		overflow: scroll;
	}
	.popup .flex { display: block; }
	.popup h3 { max-width: calc(100% - 5rem); min-height: 3em; }
	.popup .pricetag {
		position: absolute;
		top: 3rem;
		right: 1rem;
		width: 2.7em;
		height: 2.7em;
		font-size: 1.8rem;
		transform: rotate(10deg) translateY(1rem);
	}
}